# Launch pads
execute as @a[gamemode=adventure] at @s if block ~ ~-1 ~ lime_wool run effect give @s levitation 1 87 true

# Particles
particle dust 0.2 1 0.2 1 6 24.05 8
particle dust 0.2 1 0.2 1 8 24.05 10
particle dust 0.2 1 0.2 1 8 24.05 9
particle dust 0.2 1 0.2 1 8 24.05 8
particle dust 0.2 1 0.2 1 8 24.05 7
particle dust 0.2 1 0.2 1 8 24.05 6
particle dust 0.2 1 0.2 1 7 24.05 9
particle dust 0.2 1 0.2 1 7 24.05 8
particle dust 0.2 1 0.2 1 7 24.05 7
particle dust 0.2 1 0.2 1 9 24.05 7
particle dust 0.2 1 0.2 1 9 24.05 8
particle dust 0.2 1 0.2 1 9 24.05 9
particle dust 0.2 1 0.2 1 10 24.05 8

# Random tips
execute if score timer vars matches 4500 run function bannerbattle:phase1/tip
execute if score timer vars matches 3000 run function bannerbattle:phase1/tip
execute if score timer vars matches 1500 run function bannerbattle:phase1/tip

# Spectators
gamemode spectator @a[team=Spec,gamemode=!spectator]

# Blessings
execute as @e[type=item,tag=bless] run data merge entity @s {PickupDelay:200s}
execute as @e[type=item,tag=bless] at @s if entity @a[tag=!blessing,distance=..1] run data merge entity @s {PickupDelay:0s}
execute as @e[type=item,tag=bless] at @s run title @a[tag=blessing,distance=..1] actionbar {"text":"You already have a blessing!","color":"dark_red"}
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Aphro:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/faphrodite
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Hypnos:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fsleep
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Zeph:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fzephy
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{twig:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/ftwiggy
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Jumpy:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fjump
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Time:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fslowt
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Are:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fares
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{He:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fheph
execute as @a[nbt={Inventory:[{id:"minecraft:ghast_tear",Count:1b,tag:{Rubb:1}}]},tag=!blessing] at @s run function bannerbattle:blessings/fduck

# Falling in void
execute as @a[team=blue,scores={yPos=..10}] run tp @s 8.5 30.5 34 180 0
execute as @a[team=red,scores={yPos=..10}] run tp @s 8.5 30.5 -21 0 0

# Items
tag @e[type=item,nbt={Item:{id:"minecraft:stone_sword"},Age:1s},tag=!ohnoes.sword] add ohnoes.sword
execute at @e[type=item,tag=ohnoes.sword] run give @p minecraft:stone_sword{CanDestroy:["#bannerbattle:valid_blocks"],HideFlags:63,Normalt:1b,Unbreakable:1,Enchantments:[{id:"sharpness",lvl:1}]} 1
execute as @e[type=item,tag=ohnoes.sword] run kill @s

tag @e[type=item,nbt={Item:{id:"minecraft:crossbow"},Age:1s},tag=!ohnoes.crossbow] add ohnoes.crossbow
execute at @e[type=item,tag=ohnoes.crossbow] run give @p minecraft:crossbow{CanDestroy:["#bannerbattle:valid_blocks"],HideFlags:63,Enchantments:[{id:"quick_charge",lvl:2}],Unbreakable:1,Normalt:1b} 1
execute as @e[type=item,tag=ohnoes.crossbow] run kill @s


#kill @e[type=item,nbt={Item:{id:"minecraft:stone_sword",Count:1b}}]
#kill @e[type=item,nbt={Item:{id:"minecraft:crossbow",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:arrow",Count:1b,tag:{Tig:1b}}}]
tag @e[type=item,nbt={Item:{id:"minecraft:yellow_wool"}},tag=!wooly] add wooly
execute as @e[type=item,tag=wooly] at @s if entity @a[team=blue,distance=..5] run data merge entity @s {Item:{id:"minecraft:blue_wool"}}
execute as @e[type=item,tag=wooly] at @s if entity @a[team=red,distance=..5] run data merge entity @s {Item:{id:"minecraft:red_wool"}}
item replace entity @a[gamemode=adventure] inventory.8 with arrow
kill @e[type=item,nbt={Item:{id:"minecraft:oak_sign",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:birch_sign",Count:1b}}]

# Kill mobs
execute as @a[scores={kill0=1..}] run function bannerbattle:kill_mob
execute as @a[scores={kill1=1..}] run function bannerbattle:kill_mob
execute as @a[scores={kill2=1..}] run function bannerbattle:kill_mob
execute as @a[scores={kill3=1..}] run function bannerbattle:kill_mob

# Bossbar
function bannerbattle:phase1/bossbar

# Time
scoreboard players remove timer vars 1
scoreboard players operation timeSeconds vars = timer vars
scoreboard players operation timeSeconds vars /= 20 const
scoreboard players add timeSeconds vars 1
scoreboard players operation Time: timeDisplay = timeSeconds vars
execute if score timer vars matches 1200 run function bannerbattle:timer_title
execute if score timer vars matches 600 run function bannerbattle:timer_title
execute if score timer vars matches 200 run function bannerbattle:timer_title
execute if score timer vars matches ..0 run function bannerbattle:phase1/end

# Entire team leaves
execute unless entity @a[team=red] unless entity @a[scores={endGame=0}] run function bannerbattle:entire_team_left
execute unless entity @a[team=blue] unless entity @a[scores={endGame=0}] run function bannerbattle:entire_team_left
execute as @a[scores={endGame=1..}] run function bannerbattle:end_game
execute if entity @a[team=red] if entity @a[team=blue] if entity @a[scores={endGame=0}] run scoreboard players reset @a endGame